library verilog;
use verilog.vl_types.all;
entity singleDelayWithEnableGeneric_1s_12 is
    generic(
        bitwidth        : integer := 1
    );
    port(
        N_9             : out    vl_logic_vector(0 downto 0);
        N_9_0           : out    vl_logic_vector(0 downto 0);
        enab            : in     vl_logic;
        Frame_Clk       : in     vl_logic;
        GlobalReset     : in     vl_logic;
        clk             : in     vl_logic
    );
end singleDelayWithEnableGeneric_1s_12;
